package com.jeeplus.test.garbageClearance.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.test.oss.domain.WorkAttachment;
import com.jeeplus.test.oss.domain.WorkAttachmentInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 垃圾清运-巡视工单
 * </p>
 *
 * @author 王强
 * @since 2024-08-29
 */
@TableName("garbage_clearance_look_over")
@ApiModel(value = "GarbageClearanceLookOver对象", description = "垃圾清运-巡视工单")
@Data
public class LookOver extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 流程实例ID
     */
    private String procInsId;
    @ApiModelProperty("简介")
    private String remarks;

    @ApiModelProperty("巡视工单")
    private String no;

    @ApiModelProperty("处理单位")
    private String processingUnit;

    @ApiModelProperty("流程状态")
    private String status;

    @ApiModelProperty("处理状态")
    private String disposeStatus;

    @ApiModelProperty("清运专员")
    private String clearUserId;

    @ApiModelProperty("清运专员名称")
    @TableField(exist = false)
    private String clearUserName;

    @ApiModelProperty("联系方式")
    @TableField(exist = false)
    private String clearUserMobile;

    @TableField(exist = false)
    @ApiModelProperty("处理单位名称")
    private String processingUnitName;

    @ApiModelProperty("处理年份")
    private Integer year;

    @ApiModelProperty("处理编号")
    private Integer number;

    @ApiModelProperty("部门编号")
    private String officeCode;

    @TableField(exist = false)
    @ApiModelProperty("展示用创建时间")
    private String showCreateTime;

    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentInfo> fileList1;
    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentInfo> fileList2;
    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentInfo> fileList3;
    //附件信息
    @TableField(exist = false)
    List<WorkAttachment> beforeFileList;
    //附件信息
    @TableField(exist = false)
    List<WorkAttachment> betweenFileList;
    //附件信息
    @TableField(exist = false)
    List<WorkAttachment> afterFileList;
}
